import { PipeTransform } from '@angular/core';
import { IntlPipeOptions } from '../intl-pipe-options';
import * as i0 from "@angular/core";
type OmitOptions = 'unit' | 'unitDisplay' | 'currency';
export type IntlCurrencyPipeOptions = Omit<Partial<Intl.NumberFormatOptions>, OmitOptions> & IntlPipeOptions;
export declare class IntlCurrencyPipe implements PipeTransform {
    readonly locale?: string | string[] | null | undefined;
    readonly defaultOptions?: Omit<IntlCurrencyPipeOptions, "locale"> | null | undefined;
    constructor(locale?: string | string[] | null | undefined, defaultOptions?: Omit<IntlCurrencyPipeOptions, "locale"> | null | undefined);
    transform(value: number | string | null | undefined, currency: string, options?: IntlCurrencyPipeOptions): string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<IntlCurrencyPipe, [{ optional: true; }, { optional: true; }]>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IntlCurrencyPipe, "intlCurrency", true>;
}
export {};
