import { PipeTransform } from '@angular/core';
import { IntlPipeOptions } from '../intl-pipe-options';
import * as i0 from "@angular/core";
type OmitOptions = 'unit' | 'unitDisplay' | 'currency' | 'currencyDisplay' | 'currencySign';
export type IntlDecimalPipeOptions = Omit<Partial<Intl.NumberFormatOptions>, OmitOptions> & IntlPipeOptions;
export declare class IntlDecimalPipe implements PipeTransform {
    readonly locale?: string | string[] | null | undefined;
    readonly defaultOptions?: Omit<IntlDecimalPipeOptions, "locale"> | null | undefined;
    constructor(locale?: string | string[] | null | undefined, defaultOptions?: Omit<IntlDecimalPipeOptions, "locale"> | null | undefined);
    transform(value: number | string | null | undefined, options?: IntlDecimalPipeOptions): string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<IntlDecimalPipe, [{ optional: true; }, { optional: true; }]>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IntlDecimalPipe, "intlDecimal", true>;
}
export {};
