import { PipeTransform } from '@angular/core';
import { IntlPipeOptions } from '../intl-pipe-options';
import * as i0 from "@angular/core";
export type IntlListPipeOptions = Partial<Intl.ListFormatOptions> & IntlPipeOptions;
export declare class IntlListPipe implements PipeTransform {
    readonly locale?: string | string[] | null | undefined;
    readonly defaultOptions?: Omit<IntlListPipeOptions, "locale"> | null | undefined;
    constructor(locale?: string | string[] | null | undefined, defaultOptions?: Omit<IntlListPipeOptions, "locale"> | null | undefined);
    transform(value: Iterable<string> | null | undefined, options?: IntlListPipeOptions): string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<IntlListPipe, [{ optional: true; }, { optional: true; }]>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IntlListPipe, "intlList", true>;
}
